Subject: Re: bug#25699: GZIPs deprecated environment variable

From: Bachsau <[email-masked]>
Date: Tue, 14 Feb 2017 00:48:55 +0100

Am 13.02.2017 um 03:28 schrieb Paul Eggert:
> Sure it will. Just rename /bin/gzip to /bin/gzip.real, and create a
> shell script /bin/gzip that looks like this:
>
> #!/bin/sh
> exec gzip.real -9 "$@"
>
> You're the sysadmin, so you can do this. (And if you were not the
> sysadmin, you
> wouldn't be able to edit any global configuration file either.)

Of course I can. Until my distributions package manager replaces that 
file again with the next regular update. You should know it is almost 
always a bad idea to edit any files in /bin /sbin and /usr/*. The only 
solution to this might be to place a script like this in /usr/local/bin, 
that will only work if the script thats calling it is using the right 
$PATH and does not refer directly to /bin/gzip.